Установка Lazarus

Автор: Zebra Дата: 13.01.2010 19:12 Захотелось поставить версию поновее. До этого работал с 0.9.26.2, а тут еще пришлось переселяться на другой компьютер. И поэтому, поставив заново Cobalt, решил поставить свежий Lazarus. Скачал 0.8.28.2 и fpc соответствующий. При установке уперся вот во что: rpm выдает сообщение, что нужен более свежий rpmlib (FileDigest). Насколько я понял из копания в гугле, нужен более свежий rpm. Обновил его yum'ом, но ошибка осталась.
Вопросы:
1. Правильно ли я понял, что проблема в том, что пакет собран с помощью более поздней версии rpm, нежели у меня в системе?
2. Можно ли как-то не рискуя вызвать конфликт в системе обновить rpm до более свежей версии? Как?
3. Можно ли просто руками распаковать rpm и распихать файлы с помощью, скажем, mc? Это будет работать?
4. Или лучше поставить из исходников? Тогда, если кто ставил, поделитесь, пожалуйста, опытом: что за проблемы и каковы решения?

Желательно, конечно, получить ответ хотя бы на первый вопрос. Из нарытого в гугле так и не смог понять до конца причины. А уж из исходников, думаю, покопаюсь и соберу в конце концов.
Re: Установка Lazarus 13.01.2010 19:43listok65 Установи rpm без проверки зависимости (rpm -i --nodeps [имя пакета] ). Запусти Lazarus в ком.строке если чего не хватает добавь.
Re: Установка Lazarus 13.01.2010 20:26Zebra То есть скачать rpm от 11-й федоры, установить без проверки зависимостей и тогда уже установить лазаря. Я правильно понял?
Re: Установка Lazarus 14.01.2010 04:39listok65 Зачем 11, есть lazarus-0.9.26-1.0.140asp.i386.rpm на ftp asplinux
RSS-материал